package com.bonus.canteen.core.nutrition.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;

@ApiModel("人员健康情况")
public class HealthInfoFullDto {
   @ApiModelProperty("主键")
   private Long id;
   @ApiModelProperty("人员id")
   private Long userId;
   @ApiModelProperty("婚姻状态 0-保密 1-未婚 2-已婚")
   private Integer maritalStatus;
   @ApiModelProperty("怀孕状态  0-保密, 1-未怀孕, 2-孕妇(早期),3-孕妇(中期),4-孕妇(晚期) 5-乳母")
   private Integer pregnantStatus;
   @ApiModelProperty("怀孕日期")
   private LocalDate pregnancyDate;
   @ApiModelProperty("慢性病id多个用逗号分割")
   private String chronicIds;
   @ApiModelProperty("慢性病名称多个用逗号分割")
   private String chronicNames;
   @ApiModelProperty("饮食医嘱: 1-禁食,2-流食,3-半流食,4-治疗饮食")
   private Integer doctorAdvice;
   @ApiModelProperty("就诊号")
   private String doctorNum;
   @ApiModelProperty("住院号")
   private String hospitalNum;
   @ApiModelProperty("是否住院 1-是 2-否")
   private Integer ifHospitalized;
   @ApiModelProperty("住院日期")
   private LocalDate inpatientDate;
   @ApiModelProperty("住院诊断结果")
   private String inpatientResult;
   @ApiModelProperty("饮食类型: 1-禁食,2-流食,3-半流食,4-治疗饮食")
   private Integer dietType;
   @ApiModelProperty("体重控制: 1-减肥,2-增重")
   private Integer weightControl;
   @ApiModelProperty("过敏源")
   private String allergen;
   @ApiModelProperty("劳动强度: 1-轻劳动,2-中等强度劳动,3-重强度劳动")
   private Integer labourIntensity;
   @ApiModelProperty("健康状态（1-健康、2-残疾、3-瘫痪）")
   private Integer healthState;
   @ApiModelProperty("是否删除 0-正常 2-删除")
   private Integer delFlag;
   @ApiModelProperty("身高")
   private BigDecimal height;
   @ApiModelProperty("体重")
   private BigDecimal weight;
   @ApiModelProperty("BMI指数")
   private BigDecimal bmi;
   @ApiModelProperty("体型")
   private String shape;
   @ApiModelProperty("胸围")
   private BigDecimal bust;
   @ApiModelProperty("腰围")
   private BigDecimal waistline;
   @ApiModelProperty("血糖")
   private BigDecimal bloodSugar;
   @ApiModelProperty("血脂")
   private Integer bloodFat;
   @ApiModelProperty("血压高")
   private BigDecimal bloodPressureHigh;
   @ApiModelProperty("血压低")
   private BigDecimal bloodPressureLow;
   @ApiModelProperty("心率")
   private BigDecimal heartRate;
   @ApiModelProperty("血氧")
   private BigDecimal bloodOxygen;
   @ApiModelProperty("尿酸")
   private Integer uricAcid;
   @ApiModelProperty("血压")
   private Integer bloodPressure;
   @ApiModelProperty("血型")
   private Integer bloodType;

   public Long getId() {
      return this.id;
   }

   public Long getUserId() {
      return this.userId;
   }

   public Integer getMaritalStatus() {
      return this.maritalStatus;
   }

   public Integer getPregnantStatus() {
      return this.pregnantStatus;
   }

   public LocalDate getPregnancyDate() {
      return this.pregnancyDate;
   }

   public String getChronicIds() {
      return this.chronicIds;
   }

   public String getChronicNames() {
      return this.chronicNames;
   }

   public Integer getDoctorAdvice() {
      return this.doctorAdvice;
   }

   public String getDoctorNum() {
      return this.doctorNum;
   }

   public String getHospitalNum() {
      return this.hospitalNum;
   }

   public Integer getIfHospitalized() {
      return this.ifHospitalized;
   }

   public LocalDate getInpatientDate() {
      return this.inpatientDate;
   }

   public String getInpatientResult() {
      return this.inpatientResult;
   }

   public Integer getDietType() {
      return this.dietType;
   }

   public Integer getWeightControl() {
      return this.weightControl;
   }

   public String getAllergen() {
      return this.allergen;
   }

   public Integer getLabourIntensity() {
      return this.labourIntensity;
   }

   public Integer getHealthState() {
      return this.healthState;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public BigDecimal getHeight() {
      return this.height;
   }

   public BigDecimal getWeight() {
      return this.weight;
   }

   public BigDecimal getBmi() {
      return this.bmi;
   }

   public String getShape() {
      return this.shape;
   }

   public BigDecimal getBust() {
      return this.bust;
   }

   public BigDecimal getWaistline() {
      return this.waistline;
   }

   public BigDecimal getBloodSugar() {
      return this.bloodSugar;
   }

   public Integer getBloodFat() {
      return this.bloodFat;
   }

   public BigDecimal getBloodPressureHigh() {
      return this.bloodPressureHigh;
   }

   public BigDecimal getBloodPressureLow() {
      return this.bloodPressureLow;
   }

   public BigDecimal getHeartRate() {
      return this.heartRate;
   }

   public BigDecimal getBloodOxygen() {
      return this.bloodOxygen;
   }

   public Integer getUricAcid() {
      return this.uricAcid;
   }

   public Integer getBloodPressure() {
      return this.bloodPressure;
   }

   public Integer getBloodType() {
      return this.bloodType;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setMaritalStatus(final Integer maritalStatus) {
      this.maritalStatus = maritalStatus;
   }

   public void setPregnantStatus(final Integer pregnantStatus) {
      this.pregnantStatus = pregnantStatus;
   }

   public void setPregnancyDate(final LocalDate pregnancyDate) {
      this.pregnancyDate = pregnancyDate;
   }

   public void setChronicIds(final String chronicIds) {
      this.chronicIds = chronicIds;
   }

   public void setChronicNames(final String chronicNames) {
      this.chronicNames = chronicNames;
   }

   public void setDoctorAdvice(final Integer doctorAdvice) {
      this.doctorAdvice = doctorAdvice;
   }

   public void setDoctorNum(final String doctorNum) {
      this.doctorNum = doctorNum;
   }

   public void setHospitalNum(final String hospitalNum) {
      this.hospitalNum = hospitalNum;
   }

   public void setIfHospitalized(final Integer ifHospitalized) {
      this.ifHospitalized = ifHospitalized;
   }

   public void setInpatientDate(final LocalDate inpatientDate) {
      this.inpatientDate = inpatientDate;
   }

   public void setInpatientResult(final String inpatientResult) {
      this.inpatientResult = inpatientResult;
   }

   public void setDietType(final Integer dietType) {
      this.dietType = dietType;
   }

   public void setWeightControl(final Integer weightControl) {
      this.weightControl = weightControl;
   }

   public void setAllergen(final String allergen) {
      this.allergen = allergen;
   }

   public void setLabourIntensity(final Integer labourIntensity) {
      this.labourIntensity = labourIntensity;
   }

   public void setHealthState(final Integer healthState) {
      this.healthState = healthState;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setHeight(final BigDecimal height) {
      this.height = height;
   }

   public void setWeight(final BigDecimal weight) {
      this.weight = weight;
   }

   public void setBmi(final BigDecimal bmi) {
      this.bmi = bmi;
   }

   public void setShape(final String shape) {
      this.shape = shape;
   }

   public void setBust(final BigDecimal bust) {
      this.bust = bust;
   }

   public void setWaistline(final BigDecimal waistline) {
      this.waistline = waistline;
   }

   public void setBloodSugar(final BigDecimal bloodSugar) {
      this.bloodSugar = bloodSugar;
   }

   public void setBloodFat(final Integer bloodFat) {
      this.bloodFat = bloodFat;
   }

   public void setBloodPressureHigh(final BigDecimal bloodPressureHigh) {
      this.bloodPressureHigh = bloodPressureHigh;
   }

   public void setBloodPressureLow(final BigDecimal bloodPressureLow) {
      this.bloodPressureLow = bloodPressureLow;
   }

   public void setHeartRate(final BigDecimal heartRate) {
      this.heartRate = heartRate;
   }

   public void setBloodOxygen(final BigDecimal bloodOxygen) {
      this.bloodOxygen = bloodOxygen;
   }

   public void setUricAcid(final Integer uricAcid) {
      this.uricAcid = uricAcid;
   }

   public void setBloodPressure(final Integer bloodPressure) {
      this.bloodPressure = bloodPressure;
   }

   public void setBloodType(final Integer bloodType) {
      this.bloodType = bloodType;
   }


   public HealthInfoFullDto() {
   }

   public HealthInfoFullDto(final Long id, final Long userId, final Integer maritalStatus,
                            final Integer pregnantStatus, final LocalDate pregnancyDate,
                            final String chronicIds, final String chronicNames, final Integer doctorAdvice,
                            final String doctorNum, final String hospitalNum, final Integer ifHospitalized,
                            final LocalDate inpatientDate, final String inpatientResult,
                            final Integer dietType, final Integer weightControl, final String allergen,
                            final Integer labourIntensity, final Integer healthState, final Integer delFlag,
                            final BigDecimal height, final BigDecimal weight, final BigDecimal bmi,
                            final String shape, final BigDecimal bust, final BigDecimal waistline,
                            final BigDecimal bloodSugar, final Integer bloodFat,
                            final BigDecimal bloodPressureHigh, final BigDecimal bloodPressureLow,
                            final BigDecimal heartRate, final BigDecimal bloodOxygen,
                            final Integer uricAcid, final Integer bloodPressure, final Integer bloodType) {
      this.id = id;
      this.userId = userId;
      this.maritalStatus = maritalStatus;
      this.pregnantStatus = pregnantStatus;
      this.pregnancyDate = pregnancyDate;
      this.chronicIds = chronicIds;
      this.chronicNames = chronicNames;
      this.doctorAdvice = doctorAdvice;
      this.doctorNum = doctorNum;
      this.hospitalNum = hospitalNum;
      this.ifHospitalized = ifHospitalized;
      this.inpatientDate = inpatientDate;
      this.inpatientResult = inpatientResult;
      this.dietType = dietType;
      this.weightControl = weightControl;
      this.allergen = allergen;
      this.labourIntensity = labourIntensity;
      this.healthState = healthState;
      this.delFlag = delFlag;
      this.height = height;
      this.weight = weight;
      this.bmi = bmi;
      this.shape = shape;
      this.bust = bust;
      this.waistline = waistline;
      this.bloodSugar = bloodSugar;
      this.bloodFat = bloodFat;
      this.bloodPressureHigh = bloodPressureHigh;
      this.bloodPressureLow = bloodPressureLow;
      this.heartRate = heartRate;
      this.bloodOxygen = bloodOxygen;
      this.uricAcid = uricAcid;
      this.bloodPressure = bloodPressure;
      this.bloodType = bloodType;
   }
}
